Bug 118010 - [patch] devel/kyra unbreak fix build with GCC 4.2
Summary: [patch] devel/kyra unbreak fix build with GCC 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-12 16:40 UTC by Pietro Cerutti
Modified: 2007-11-18 17:30 UTC (History)
0 users

See Also:


Attachments
_kyra.diff (2.35 KB, patch)
2007-11-12 16:40 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-11-12 16:40:01 UTC

- fixed a few "extra qualification" errors

How-To-Repeat: 

cd /usr/ports/devel/kyra && make
Comment 1 Martin Wilke freebsd_committer 2007-11-13 07:43:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Pietro Cerutti 2007-11-13 12:42:17 UTC
- removed a function implying (sizeof(void *) == 4) , thus causing
errors on 64 bits platforms.

The updated patch is here:

http://www.gahr.ch/FreeBSD/patches/118010_kyra.diff

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 3 dfilter service freebsd_committer 2007-11-18 17:29:29 UTC
miwi        2007-11-18 17:29:24 UTC

  FreeBSD ports repository

  Modified files:
    devel/kyra           Makefile 
  Added files:
    devel/kyra/files     patch-engine_encoder.h 
                         patch-engine_imagetree.h 
                         patch-engine_imnode.h 
                         patch-guiExtended_progress.h 
  Log:
  - Fix build with gcc 4.2
  
  PR:             118010
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (erwin,linimon)
  
  Revision  Changes    Path
  1.21      +1 -7      ports/devel/kyra/Makefile
  1.1       +11 -0     ports/devel/kyra/files/patch-engine_encoder.h (new)
  1.1       +11 -0     ports/devel/kyra/files/patch-engine_imagetree.h (new)
  1.1       +11 -0     ports/devel/kyra/files/patch-engine_imnode.h (new)
  1.1       +20 -0     ports/devel/kyra/files/patch-guiExtended_progress.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-11-18 17:29:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!